1. Please take a little time for this simple survey! Thank you for participating!
    Dismiss Notice
  2. Dear Pleskians, please read this carefully! New attachments and other rules Thank you!
    Dismiss Notice
  3. Dear Pleskians, I really hope that you will share your opinion in this Special topic for chatter about Plesk in the Clouds. Thank you!
    Dismiss Notice

Question Install Zend Framework on Plesk

Discussion in 'Plesk 12.x for Linux' started by MSplesk, Apr 16, 2017.

  1. MSplesk

    MSplesk New Pleskian

    0
    70%
    Joined:
    Mar 14, 2017
    Messages:
    6
    Likes Received:
    0
    Location:
    Austria
    Hello,

    what is the easiest way to install Zend Framework on Plesk 12.5 and Plesk Onyx?

    Thanks for help.
     
  2. IgorG

    IgorG Forums Analyst Staff Member

    49
    24%
    Joined:
    Oct 27, 2009
    Messages:
    24,385
    Likes Received:
    1,213
    Location:
    Novosibirsk, Russia
    Affiliate:
    https://plesk.com/?a_aid=59ae552b0731c
    Try to install this package:

    # rpm -qi psa-zendframework-1.12.17-cos7.build1705170314.17.noarch
    Name : psa-zendframework
    Version : 1.12.17
    Release : cos7.build1705170314.17
    Architecture: noarch
    Install Date: Sun 16 Apr 2017 05:18:28 AM NOVT
    Group : Web
    Size : 36361976
    License : New BSD
    Signature : DSA/SHA1, Tue 14 Mar 2017 04:43:15 PM NOVT, Key ID bd11a6aa914bdf7e
    Source RPM : psa-zendframework-1.12.17-cos7.build1705170314.17.src.rpm
    Build Date : Tue 14 Mar 2017 04:25:51 PM NOVT
    Build Host : bcos7x64.plesk.ru
    Relocations : (not relocatable)
    Packager : Plesk <info@plesk.com>
    Vendor : Zend Technologies Ltd.
    URL : Home - Zend Framework
    Summary : PHP Zend Framework adapted for Plesk Onyx
    Description :
    Powerful PHP framework.
     
    UFHH01 likes this.
  3. MSplesk

    MSplesk New Pleskian

    0
    70%
    Joined:
    Mar 14, 2017
    Messages:
    6
    Likes Received:
    0
    Location:
    Austria
    hello igor,

    thanks for your prompt reply.

    i use ubuntu 14.04.5 lts with plesk 12.5.30

    zend framework should be installed... but which version?
    the current version is zend framework 3 ...
    what version mate the installed one?
    (Version: 1.11.15-ubuntu14.04.build1205150720.14)

    ============================
    Package: psa-zendframework
    State: installed
    Automatically installed: no
    Version: 1.11.15-ubuntu14.04.build1205150720.14
    Priority: extra
    Section: web
    Maintainer: Parallels <info@parallels.com>
    Architecture: all
    Uncompressed Size: 20.2 M
    Depends: plesk-base (>= 12.5.28)
    Conflicts: plesk-core (< 11.1.13), plesk-core (< 11.1.13)
    Description: PHP Zend Framework adapted for Plesk
    Powerful PHP framework.
    ============================

    if the installed version is tooo old, how can i update this to the current version?

    thanks!
     
  4. MSplesk

    MSplesk New Pleskian

    0
    70%
    Joined:
    Mar 14, 2017
    Messages:
    6
    Likes Received:
    0
    Location:
    Austria
    .... and should there be an entry in the phpinfo file ... so that the zend frameworks installation appears ?
     
  5. IgorG

    IgorG Forums Analyst Staff Member

    49
    24%
    Joined:
    Oct 27, 2009
    Messages:
    24,385
    Likes Received:
    1,213
    Location:
    Novosibirsk, Russia
    Affiliate:
    https://plesk.com/?a_aid=59ae552b0731c
  6. IgorG

    IgorG Forums Analyst Staff Member

    49
    24%
    Joined:
    Oct 27, 2009
    Messages:
    24,385
    Likes Received:
    1,213
    Location:
    Novosibirsk, Russia
    Affiliate:
    https://plesk.com/?a_aid=59ae552b0731c
    Actually, psa-zendframework may be interesting for you in the case of writing Plesk extensions. If you talk about website owners needs - it would be better to use Conetix instruction.
     
Loading...